Bug 789022 - [abrt] libreoffice-core-3.4.5.2-1.fc16: GetAttr: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.4.5.2-1.fc16: GetAttr: Process /usr/lib64/libreoffi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Stahl
Fedora Extras Quality Assurance
abrt_hash:b0842e7a8d0b1e1c5b30f1daf14...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-09 11:00 EST by darton
Modified: 2012-04-11 13:08 EDT (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-3.4.5.2-10.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-10 23:53:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (15.49 KB, text/plain)
2012-02-09 11:00 EST, darton
no flags Details
File: build_ids (5.77 KB, text/plain)
2012-02-09 11:01 EST, darton
no flags Details
File: maps (64.33 KB, text/plain)
2012-02-09 11:01 EST, darton
no flags Details
File: backtrace (69.81 KB, text/plain)
2012-02-09 11:01 EST, darton
no flags Details
docx file that crashes Writer (73.73 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-02-12 04:29 EST, darton
no flags Details

  None (edit)
Description darton 2012-02-09 11:00:33 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///tmp/tmp/zzz.docx --splash-pipe=7
comment:        Opening a specific .docx file via LibO Writer causes the latter to crash. MS Office 2007 opens the problematic file flawlessly. A copy of the file created via msoffice (copy to windows box, open, change something, save changes, copy the changed file back to linux box) also crashes Writer. All other docx documents are opened by Writer normally.
crash_function: GetAttr
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.2.3-2.fc16.x86_64
pid:            21012
pwd:            /home/mmaksimov
reason:         Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
time:           Wed 08 Feb 2012 07:55:14 PM MSK
uid:            500
username:       mmaksimov

backtrace:      Text file, 71490 bytes
build_ids:      Text file, 5904 bytes
dso_list:       Text file, 15860 bytes
maps:           Text file, 65869 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1477
:HOSTNAME=mmaks
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=20992
:GPG_AGENT_INFO=/home/mmaksimov/.gnupg/S.gpg-agent:1497:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:DESKTOP_STARTUP_ID=nautilus-12358-mmaks-libreoffice-5_TIME69975994
:HISTSIZE=1000
:XDG_SESSION_COOKIE=4757ee490a91bc76df9479d50000000e-1328561390.751730-1750487682
:OLDPWD=/usr/lib64/libreoffice/program
:GNOME_KEYRING_CONTROL=/tmp/keyring-fCXjIV
:IMSETTINGS_MODULE=none
:USER=mmaksimov
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-rkDwLVRI1389/agent.1389
:USERNAME=mmaksimov
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1506,unix/unix:/tmp/.ICE-unix/1506
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-writer.desktop
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/mmaksimov
:DESKTOP_SESSION=xfce
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/mmaksimov/.local/bin:/home/mmaksimov/bin
:QT_IM_MODULE=xim
:PWD=/home/mmaksimov
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1385
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/mmaksimov
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=mmaksimov
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-45V8HDa6s6,guid=a9a694e636b21fc27492f01f00000028
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/mmaksimov
:DISPLAY=:0.0
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-mmaksimov-Wjyd2m/database
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64

var_log_messages:
:Feb  7 00:50:54 mmaks kernel: [  104.465993] soffice.bin[1738]: segfault at 40 ip 00007f02df73b620 sp 00007fff247cfeb0 error 4 in libswlx.so[7f02df148000+bd7000]
:Feb  7 00:50:55 mmaks abrt[1747]: Saved core dump of pid 1738 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-02-07-00:50:54-1738 (83423232 bytes)
:Feb  7 00:51:35 mmaks kernel: [  145.184698] soffice.bin[1806]: segfault at 40 ip 00007fca6af3a620 sp 00007ffff2fa2df0 error 4 in libswlx.so[7fca6a947000+bd7000]
:Feb  7 00:51:36 mmaks abrt[1816]: Saved core dump of pid 1806 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-02-07-00:51:35-1806 (83468288 bytes)
:Feb  7 01:00:30 mmaks kernel: [  289.747810] soffice.bin[2247]: segfault at 40 ip 00007fb3f5219620 sp 00007fff872388a0 error 4 in libswlx.so[7fb3f4c26000+bd7000]
:Feb  7 01:00:32 mmaks abrt[2281]: Saved core dump of pid 2247 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-02-07-01:00:30-2247 (117141504 bytes)
:Feb  7 01:45:50 mmaks kernel: [ 2295.400967] soffice.bin[5231]: segfault at 40 ip 00007f56850f5620 sp 00007fffc88eb790 error 4 in libswlx.so[7f5684b02000+bd7000]
:Feb  7 01:45:52 mmaks abrt[5251]: Saved core dump of pid 5231 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-02-07-01:45:51-5231 (84054016 bytes)
:Feb  7 01:48:56 mmaks kernel: [ 2480.814140] soffice.bin[5562]: segfault at 40 ip 00007f851d9c7620 sp 00007ffff2d178a0 error 4 in libswlx.so[7f851d3d4000+bd7000]
:Feb  7 01:48:57 mmaks abrt[5575]: Saved core dump of pid 5562 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-02-07-01:48:56-5562 (83460096 bytes)
:Feb  8 19:55:14 mmaks kernel: [69887.117099] soffice.bin[21012]: segfault at 40 ip 00007f499ad25620 sp 00007fff7f8bef00 error 4 in libswlx.so[7f499a732000+bd7000]
:Feb  8 19:55:15 mmaks abrt[21022]: Saved core dump of pid 21012 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-02-08-19:55:14-21012 (83554304 bytes)
Comment 1 darton 2012-02-09 11:00:38 EST
Created attachment 560625 [details]
File: dso_list
Comment 2 darton 2012-02-09 11:01:18 EST
Created attachment 560626 [details]
File: build_ids
Comment 3 darton 2012-02-09 11:01:33 EST
Created attachment 560627 [details]
File: maps
Comment 4 darton 2012-02-09 11:01:40 EST
Created attachment 560628 [details]
File: backtrace
Comment 5 Caolan McNamara 2012-02-09 11:28:28 EST
Can you attach the specific .docx which triggered this, that would make fixing it far easier ?
Comment 6 darton 2012-02-10 03:34:33 EST
(In reply to comment #5)
> Can you attach the specific .docx which triggered this, that would make fixing
> it far easier ?

Sorry, it's confidential :(
Comment 7 Caolan McNamara 2012-02-10 03:58:23 EST
caolanm->mstahl: You able to make any educated guesses. I can't.
Comment 8 darton 2012-02-12 04:29:30 EST
Created attachment 561189 [details]
docx file that crashes Writer

I've wiped out most of the document's content, and the result still crashes Writer on loading. Hope this helps.
Comment 9 Michael Stahl 2012-03-23 19:36:09 EDT
fixed upstream master as:

http://cgit.freedesktop.org/libreoffice/core/commit/?id=082906e1f4cf58fdfab1a4064e2b7955fcdaeb8a

proposed for upstream libreoffice-3-5.

also added patch to f16 package.
Comment 10 Fedora Update System 2012-03-29 09:20:22 EDT
libreoffice-3.4.5.2-10.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreoffice-3.4.5.2-10.fc16
Comment 11 Fedora Update System 2012-03-30 23:18:45 EDT
Package libreoffice-3.4.5.2-10.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.4.5.2-10.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5070/libreoffice-3.4.5.2-10.fc16
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2012-04-10 23:53:21 EDT
libreoffice-3.4.5.2-10.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-04-11 13:08:00 EDT
libreoffice-3.4.5.2-10.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.